#ArduPilot Project#

[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/ArduPilot/ardupilot?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

[![Build SemaphoreCI](https://semaphoreci.com/api/v1/projects/4d28a40d-b6a6-4bfb-9780-95d92aabb178/667563/badge.svg)](https://semaphoreci.com/diydrones/ardupilot)

[![Build Travis](https://travis-ci.org/ArduPilot/ardupilot.svg?branch=master)](https://travis-ci.org/ArduPilot/ardupilot)

### The ArduPilot project is made up of: ###
>>ArduCopter (or APM:Copter) : [code](https://github.com/ArduPilot/ardupilot/tree/master/ArduCopter), [wiki](http://ardupilot.org/copter/index.html)

>>ArduPlane (or APM:Plane) : [code](https://github.com/ArduPilot/ardupilot/tree/master/ArduPlane), [wiki](http://ardupilot.org/plane/index.html)

>>ArduRover (or APMrover2) : [code](https://github.com/ArduPilot/ardupilot/tree/master/APMrover2), [wiki](http://ardupilot.org/rover/index.html)

>>Antenna Tracker : [code](https://github.com/ArduPilot/ardupilot/tree/master/AntennaTracker), [wiki](http://ardupilot.org/antennatracker/index.html)

### User Support & Discussion Forums ###
>>Support Forum: [http://discuss.ardupilot.org/](http://discuss.ardupilot.org/)

>>Community Site: [http://ardupilot.org](http://ardupilot.org)

### Developer Information ###
>>Github repository: [https://github.com/ArduPilot/ardupilot](https://github.com/ArduPilot/ardupilot)

>>Main developer wiki: [http://dev.ardupilot.org](http://dev.ardupilot.org)

>>Developer email group: drones-discuss@googlegroups.com

### Contributors ###
>>[Github statistics](https://github.com/ArduPilot/ardupilot/graphs/contributors)

### Dronecode.org ###

>>ArduPilot is part of Dronecode.org, a Linux Foundation collaborative project.

>>Dronecode encompasses projects that control flight, enable mission planning, and otherwise make drone flight and advanced functionality possible.

>>Dronecode development is done at the project level with coordinating and resource allocation performed by the TSC and the Board.

>>For information on the foundation please visit https://www.dronecode.org and https://github.com/Dronecode for further information or contact celder@dronecode.org

### How To Get Involved ###
>>The ArduPilot project is open source and we encourage participation and code contributions: [guidelines for contributors to the ardupilot codebase](http://dev.ardupilot.org/wiki/guidelines-for-contributors-to-the-apm-codebase)

>>We have an active group of Beta Testers especially for ArduCopter to help us find bugs: [release procedures](http://dev.ardupilot.org/wiki/release-procedures)

>>Desired Enhancements and Bugs can be posted to the [issues list](https://github.com/ArduPilot/ardupilot/issues).

>>Helping other users with log analysis on [http://discuss.ardupilot.org/](http://discuss.ardupilot.org/) is always appreciated:

>>There is a group of wiki editors as well in case documentation is your thing: ardu-wiki-editors@googlegroups.com

>>Developer discussions occur on drones-discuss@google-groups.com

### License ###
>>[Overview of license](http://dev.ardupilot.com/wiki/license-gplv3)

>>[Full Text](https://github.com/ArduPilot/ardupilot/blob/master/COPYING.txt)

### Maintainers ###
>> Ardupilot is comprised of several parts, vehicles and boards. The list below
>> contains the people that regularly contribute to the project and are responsible
>> for reviewing patches on their specific area. See [CONTRIBUTING.md](CONTRIBUTING.md)
>> for more information.
>>
>> - [Andrew Tridgell](https://github.com/tridge)
>>   - ***Vehicle***: AntennaTracker, Plane
>>   - ***Board***: APM1, APM2, Pixhawk
>> - [Randy Mackay](https://github.com/rmackay9)
>>   - ***Vehicle***: Copter
>> - [Robert Lefebvre](https://github.com/R-Lefebvre)
>>   - ***Vehicle***: TradHeli
>> - [Grant Morphett](https://github.com/gmorph):
>>   - ***Vehicle***: Rover
>> - [Matthias Badaire](https://github.com/badzz)
>>   - ***Subsystem***: FRSky
>> - [Paul Riseborough](https://github.com/priseborough)
>>   - ***Subsystem***: AP_NavEKF
>> - [Lucas De Marchi](https://github.com/lucasdemarchi)
>>   - ***Subsystem***: Linux
>> - [Peter Barker](https://github.com/peterbarker)
>>   - ***Subsystem***: DataFlash
>>   - ***Subsystem***: Tools
>> - [Michael du Breuil](https://github.com/WickedShell)
>>   - ***Subsystem***: uBlox GPS
>> - [Víctor Mayoral Vilches](https://github.com/vmayoral)
>>   - ***Board***: PXF, Erle-Brain 2, PXFmini
>> - [Mirko Denecke](https://github.com/mirkix)
>>   - ***Board***: BBBmini
>> - [Georgii Staroselskii](https://github.com/staroselskii)
>>   - ***Board***: NavIO
>> - [Emile Castelnuovo](https://github.com/emilecastelnuovo)
>>   - ***Board***: VRBrain
>> - [Mike McCauley](#)
>>   - ***Board***: Flymaple
>> - [Julien BERAUD](https://github.com/jberaud)
>>   - ***Board***: Bebop & Bebop 2
>> - [Pritam Ghanghas](https://github.com/pritamghanghas)
>>   - ***Board***: Raspilot
>> - [Jonathan Challinger] (https://github.com/3drobotics/ardupilot-solo)
>>   - ***Vehicle***: 3DRobotics Solo ArduPilot maintainer
>> - [Gustavo José de Sousa](https://github.com/guludo)
>>   - ***Subsystem***: Build system
>> - [Craig Elder] (https://github.com/CraigElder)
>>   - ***Administration***: Dronecode Technical Community Manager
>> - [Tom Pittenger] (https://github.com/magicrub)
>>   - ***Vehicle***: Plane
